/* -*- c++ -*- */
#ifndef AKAXISO_PLATFORM_H__
#define AKAXISO_PLATFORM_H__

#if defined(__linux__) && !defined(__BORLANDC__)
int stricmp(const char *lhs, const char *rhs);
#endif

#ifdef _MSC_VER
#include <akaxiso/iosfwd.h>
std::ostream &operator <<(std::ostream &ostm, const _int64 &value);
std::ostream &operator <<(std::ostream &ostm, const unsigned _int64 &value);
std::istream &operator >>(std::istream &istm, _int64 &value);
std::istream &operator >>(std::istream &istm, unsigned _int64 &value);
#endif

#endif /* AKAXISO_PLATFORM_H__ */
